<html>

<head>
    <script type="text/javascript" src="Queue.js"></script>
    <script type="text/javascript">
        var fila = new Queue();

        fila.Inserir(1);
        fila.Inserir(2);
        fila.Inserir(3);

        var item = fila.RemoverPrimeiro();
        alert(item);
    </script>
</head>

<body>
    <h1 id="txt"></h1>
</body>

</html>